$(document).ready(function(){
	$('#addagentlevel').click(function(){
		location.href='AgentLevel.aspx?Action=Add';
	});
	$('#btnCancel').click(function(){
		location.href='AgentLevel.aspx?Action=Manage';
	});
	//$('#rbtnIdentity1').click();
	$('#btnSave').click(function(){
		if($.trim($('#txtLevelName').val()) == '')
		{
            $('#txtLevelName').focus();
			alert('推广等级名称必填！');
			return false;
		}
        if($.trim($('#txtLevelMoney').val()) == '')
		{
            $('#txtLevelMoney').focus();
			alert('下属消费者累积消费必填！');
			return false;
		}
	    try{
		    $("input[@name='catratios']").each(function(){
                var catRatio =Number($(this).val());
			    if(isNaN(catRatio) || catRatio==''){
			        $(this).focus();
				    alert('请正确分类的提成比例');
				    throw '请正确分类的提成比例';
			    }
		    });
		}
		catch(e){
		    return false;
		}		
	});
});